Package: org.apache.groovy.groovysh.util

## [Groovy] Class SimpleCompleter

- org.apache.groovy.groovysh.util.SimpleCompleter

- All Implemented Interfaces and Traits:
    Completer

      class SimpleCompleter
      extends Object

  Support for simple completers.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected String` | `delimiter` | A delimiter to use to qualify completions.

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `private SortedSet` | `candidates`
    `SortedSet` | `candidates`
    `private boolean` | `withBlank`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleCompleter (String[] candidates)`
    `SimpleCompleter ()`
    `SimpleCompleter (Closure loader)`
    `SimpleCompleter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(String candidate)`
    `` | `void` | `addCandidateString(String string)`
    `` | `int` | `complete(String buffer, int cursor, List clist)`
    `` | `SortedSet` | `getCandidates()`
    `` | `Object` | `leftShift(String s)`
    `` | `void` | `setCandidateStrings(String[] strings)`
    `` | `void` | `setCandidates(SortedSet candidates)`
    `` | `void` | `setWithBlank(boolean withBlank)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected String delimiter

      A delimiter to use to qualify completions.

  - ### Property Detail

    - #### private SortedSet candidates

    - #### SortedSet candidates

    - #### private boolean withBlank

  - ### Constructor Detail

    - #### SimpleCompleter(String[] candidates)

    - #### SimpleCompleter()

    - #### SimpleCompleter(Closure loader)

    - #### SimpleCompleter()

  - ### Method Detail

    - #### void add(String candidate)

    - #### void addCandidateString(String string)

    - #### @OverrideOverride int complete(String buffer, int cursor, List clist)

    - #### SortedSet getCandidates()

    - #### Object leftShift(String s)

    - #### void setCandidateStrings(String[] strings)

    - #### void setCandidates(SortedSet candidates)

    - #### void setWithBlank(boolean withBlank)